Tenants
Delete a tenant
Delete an existing tenant and deactivate the related organization. A tenant from the user’s own organization cannot be deleted. A tenant cannot be deleted if the organization has more than one tenant.
DELETE
/
v1
/
organizations
/
{organization_id}
/
tenants
/
{tenant_id}
Delete a tenant
curl --request DELETE \
--url https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/tenants/{tenant_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/tenants/{tenant_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/tenants/{tenant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the tenant's owning organization
Maximum string length:
24Pattern:
^[0-9a-f]{24}$The unique identifier of the tenant to be deleted
Maximum string length:
24Pattern:
^[0-9a-f]{24}$Response
Tenant deleted successfully. The related organization has been deactivated. No content is returned in the response body.
⌘I
Delete a tenant
